@echo off
:: -----------------------------------------------------------------------------
:: build.bat - Win32 Build Script for Cocoon Pipeline Probe
::
:: $Id$
:: -----------------------------------------------------------------------------

:: ----- Verify and Set Required Environment Variables -------------------------

if not "%JAVA_HOME%" == "" goto gotJavaHome
echo You must set JAVA_HOME to point at your Java Development Kit installation
goto cleanup
:gotJavaHome

if not "%C2_HOME%" == "" goto gotC2Home
echo You must set C2_HOME to point at your Cocoon2 Installation Directory
goto cleanup
:gotC2Home

if not "%ANT_HOME%" == "" goto gotAntHome
set ANT_HOME="%C2_HOME%"
:gotAntHome

:: ----- Set Up The Runtime Classpath ------------------------------------------
:: Collect the available versions of Ant, xerces and xalan from respective directories.
:: Insurance against minor version changes.
set CP=
for %%i in (%ANT_HOME%\lib\ant*.jar) do call cpappend.bat %%i
for %%i in (%C2_HOME%\lib\xerces*.jar) do call cpappend.bat %%i
for %%i in (%C2_HOME%\lib\xalan*.jar) do call cpappend.bat %%i
if not "%CP%" == "" goto gotLibJars
echo Could not get Ant, Xerces and xalan jar files.
goto cleanup

:gotLibJars
set CP=%JAVA_HOME%\lib\tools.jar;%CP%

:: ----- Execute The Requested Build -------------------------------------------

%JAVA_HOME%\bin\java.exe %ANT_OPTS% -classpath %CP% org.apache.tools.ant.Main -Djava.home=%JAVA_HOME% -Dant.home=%ANT_HOME% -Dc2.home=%C2_HOME% %1 %2 %3 %4 %5 %6 %7 %8 %9

:: ----- Cleanup the environment -----------------------------------------------

:cleanup
set CP=


