/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included  with this distribution in *
 * the LICENSE file.                                                         *
 *****************************************************************************/
/*****************************************************************************
 * @author <a href="mailto:pankaj_kumar@hp.com">Pankaj Kumar</a>             *
 *         (Hewlett-Packard Company)                                         *
 * Date Originally Created: July 18 - 22, 2001                               *
 * @version CVS $Revision$ $Date$                                            *
 *****************************************************************************/
package org.apache.cocoon.tools.cpp.gui;

import java.net.Socket;
import java.io.PrintWriter;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.IOException;

import javax.swing.text.html.HTMLDocument;

public class CPPServerThread extends Thread
  {
  private Socket socket = null;
  private CPPViewer frame = null;

  public CPPServerThread(Socket socket)
    {
	super("CPPServerThread");
	this.socket = socket;
    }

  public void run()
    {
	try
	  {
	  PrintWriter out = new PrintWriter(socket.getOutputStream(), true);
	  BufferedReader in = new BufferedReader(
				    new InputStreamReader(
				    socket.getInputStream()));

	  String inputLine, outputLine;
	  inputLine = in.readLine();

	  frame = CPPServer.createFrame(inputLine);
	  try
	    {
		HTMLDocument doc = frame.getDocument();
		doc.setTokenThreshold(1);
		frame.getEditorKit().read(in, doc, doc.getLength());
	    }
	  catch (Exception e)
	    {
		System.err.println("CPPServerThread: getEditorKit().read failed. Exception: " + e);
		}

	  out.close();
	  in.close();
	  socket.close();

	  }
	catch (IOException e)
	  {
	  System.err.println("CPPServerThread: initialization failed. Exception: " + e);
	  }
    }
  }
