import java.io.*;
import java.net.*;

public class SAXMonitorClient {
    public static void main(String[] args) throws IOException {

        Socket socket = null;
        PrintWriter out = null;
        BufferedReader in = null;
	    String hostname = "localhost";

	  if (args.length > 0)
		hostname = args[0];

        try {
            socket = new Socket(hostname, 2950);
            out = new PrintWriter(socket.getOutputStream(), true);
            in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
        } catch (UnknownHostException e) {
            System.err.println("Don't know about host: " + hostname);
            System.exit(1);
        } catch (IOException e) {
            System.err.println("Couldn't get I/O for the connection to: " + hostname);
            System.exit(1);
        }

        BufferedReader stdIn = new BufferedReader(new InputStreamReader(System.in));
        String fromServer;
        String fromUser;

        do
          {
          System.out.print("Enter data :");
          System.out.flush();
          fromUser = stdIn.readLine();
	      if (fromUser != null)
	        {
            System.out.println("Client: " + fromUser);
            out.println(fromUser);
	        }
	      }
	    while (fromUser != null);

        out.close();
        in.close();
        stdIn.close();
        socket.close();
    }
}
